      subroutine readi(mag,fgz,fgin,fc,fout,fnaca,
     :    fh,fdata,focc,frdf,fion)
      implicit doubleprecision (a-h,o-z)
      character*11 fgz(10),fgin(10),fc,fout,
     :    fnaca(10,4),fh,fdata,focc
      character*15 frdf(10,10)
      character*2  fion(10)
      open(2,file='in001')
      read(2,*)mag
      read(2,*)nspec0,istr
      do ispec=1,nspec0+1
         read(2,*) fgz(ispec),fgin(ispec)
      enddo
      read(2,*)fc
      read(2,*)fout
      do ispec=istr+2,nspec0
        read(2,*)fnaca(ispec,1),fnaca(ispec,2),fnaca(ispec,3),
     :          fnaca(ispec,4)
      enddo
      read(2,*)fh
      read(2,*)fdata
      read(2,*)focc
      do ispec=1,nspec0
        do jspec=1,nspec0
         read(2,*) frdf(ispec,jspec)
        enddo
      enddo
      close(2)
      return
      end
